#include <stdint.h>

uint32_t reverseBits(uint32_t n)
{
    uint32_t ret = 0;

    for (int i = 0; i < 32 && n > 0; i++, n >>= 1)
        ret |= (n & 1) << (31 - i); // n 取低位放入 31 - i 的位置中

    return ret;
}

int main()
{
    return 0;
}
